Bug 1119467

Summary: Unable to use -V with lvresize to resize thin volumes
Product: [Community] LVM and device-mapper Reporter: Ricky Ayoub <rayoub>
Component: lvm2Assignee: LVM and device-mapper development team <lvm-team>
lvm2 sub component: Command-line tools QA Contact: cluster-qe <cluster-qe>
Status: NEW --- Docs Contact:
Severity: unspecified    
Priority: unspecified CC: agk, bmarzins, bmr, coughlan, dwysocha, heinzm, jbrassow, jonathan, lvm-team, msnitzer, pasik, prajnoha, thornber, zkabelac
Version: 2.02.161Keywords: Reopened
Target Milestone: ---Flags: rule-engine: lvm-technical-solution?
rule-engine: lvm-test-coverage?
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2016-07-19 11:55:50 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Ricky Ayoub 2014-07-14 20:19:57 UTC
Description of problem:
A thin volume is created within a thin pool using the --virtualsize/-V argument instead of the --size/-L argument. When using lvresize, though, only --size/-L will allow the thin volume to be resized.

When using lvcreate to make the thin volume, --size/-L exclusively never refers to the virtual size of the thin volume, but when using lvresize to resize it, --size/-L is the only option.

Steps to Reproduce:
1. lvcreate -L 1G -T vg/tp
2. lvcreate -V 100G -T vg/tp -n tv
3. lvresize -V 101G

Actual results:
lvresize: invalid option -- 'V'
  Error during parsing of command line.

Expected results:
  Extending logical volume tv to 101.00 GiB
  Logical volume tv successfully resized

Comment 2 Jaroslav Reznik 2015-03-03 16:07:40 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 22 development cycle.
Changing version to '22'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora22

Comment 3 Fedora End Of Life 2016-07-19 11:55:50 UTC
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.